foundLoveOfMyLife's blog

By foundLoveOfMyLife, 8 years ago, In English

Hello CF,

I have been working on my rating for about 4-5 months very strongly now and all I see is not much change.

Though there was a great jump in last contest but it was not due to solving more problems, it was just because I solved the problems quickly(which does vary in my case , I am slower at mathematical problems).

My approach has been pretty much similar to DFS:

  1. Pick the topic in which you failed.
  2. Solve problems on the topic till 800~ submissions.( It get's out of my comfort zone whenever I start solving problems with <1000 submissions). I am many times unable to solve problems ahead! )
  3. Pick new topic.

Note : There is always a process of up solving going on with all this!

The improvements I think I have achieved are I am always able to deduce something from the problem that I couldn't solve that too in the right direction mostly.

But during the contest many times I fail to solve trivial brute problems too ( Probably with submissions around 600~ — 700~ during the contest ) that is out of my scope sometimes just because I haven't seen similar problems or I just give up in anxiety of contest.

I think I have started doing fine at problems which are from the genre which I have practiced sometimes I am able to solve problems with 500~ submissions in the contest too.

Now the problems I am facing are:

  • De-Motivation as you can see I failed at a DS problem in recent Virtual participation.
  • Dead locks at solving problems in problem set with <800 submissions.
  • Unable to think of perfect or easier solutions to problems such as 631C - Report .
  • Sometimes failing at even C.

I think I have learnt sufficient algorithms to at least solve C problem and D problem every time (due to lower complexity). Algorithms and DS I know are : Fenwick tree , Segment Tree , Graph Theory( except Flow algorithms ) , DP , Greedy ,String Algorithms( except Suffix Structures ), Two Pointer , Binary Search , usage of STLs . I am weak at number theory and math.

I have solved around 800~ problems on various judges.

My aim is probably to be a stable Candidate master ASAP and I am willing to do anything for it. So,

  • What am I doing wrong as I am unable to solve good problems still? What extra things I need to put in?
  • What can be a better approach to increase my knowledge and problem solving skills?
  • What are your suggestions?
  • Should I try practicing on other judges too as I only give contests on them till now?

Though I see most of the problems on 1000~ solutions in problemset are Div2D yet I sometimes fail at Div2C(last virtual contest)!

I think the contest anxiety will subside slowly for sure as there are many rounds on CodeForces.

Given That: I don't really have a coder's circle in my college with whom I can discuss harder problems.

If you want to know some more information about me to suggest something please Go on. This will only help me and probably others too.

Thank You for your time

Full text and comments »

By foundLoveOfMyLife, history, 8 years ago, In English

Hello, The latest Round had a problem named Skills( Link ) .

My approach was to assume the function to be dependent on Minimum Number( Note Frequency of A_MAX is also dependent on Minimum Number as The M left after achieving minimum number will be used to make maximum frequency of A_MAX) :

C_F * Minimum No + C_M * Frequency of A_MAX

Now ,
I assumed this function to be just judging the function at the two extreme points i.e. Minimum No. is what it is now or is A_MAX . And I had kind of feeling that it will have only one maxima like

Then I thought of applying ternary search on integers which can be done using Binary search as mentioned in this blog Blog .

And Got a WA : 15382925

So probably the function might have more than one maxima's.

Is there someway to determine the shape and number of maxima's of a discrete function?

Thanks!

Full text and comments »